# @billogram/foundation-panel

> React panel components

## Install

```
yarn add @billogram/foundation-panel
```

## Usage

```tsx
import {
    FoundationPanel,
    FoundationSectionPanel,
    FoundationTogglePanel,
} from '@billogram/foundation-panel';
```

See [types](src/types.ts) for exported types.

### [`FoundationPanel`](src/FoundationPanel.tsx)

```tsx
<FoundationPanel
    rounded="all"
    ui="gray">
    ...
</FoundationPanel>
```

### [`FoundationSectionPanel`](src/FoundationSectionPanel.tsx)

```tsx
<FoundationSectionPanel
    canEdit={ true }
    canToggle={ false }
    description={ null }
    editButtonText={ pgettext('generic-action', 'Edit') }
    title={ null }>
    ...
</FoundationPanel>
```

### [`FoundationTogglePanel`](src/FoundationTogglePanel.tsx)

```tsx
<FoundationTogglePanel
    canEdit={ true }
    description={ null }
    editButtonText={ pgettext('generic-action', 'Edit') }
    title={ null }>
    { ({ close, isEditing, open }) => isEditing ? (
        <div>...</div>
    ) : (
        <div>...</div>
    ) }
</FoundationTogglePanel>
```

## Note

This library is being published with our use cases in mind and is not necessarily meant to be consumed by the broader public. We probably won't take your feature requests unless they align with our own needs.

## License

MIT
