import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
import React from 'react';
import purebem from 'purebem';
import { FoundationButton } from '@billogram/foundation-button';
import { FoundationControl, FoundationControlGroup } from '@billogram/foundation-control-group';
import { pgettext } from '@billogram/lang';
import FoundationPanel from './FoundationPanel';
import './FoundationSectionPanel.scss';
export default function FoundationSectionPanel(_ref) {
  var _ref$canEdit = _ref.canEdit,
      canEdit = _ref$canEdit === void 0 ? true : _ref$canEdit,
      _ref$canToggle = _ref.canToggle,
      canToggle = _ref$canToggle === void 0 ? false : _ref$canToggle,
      _ref$children = _ref.children,
      children = _ref$children === void 0 ? null : _ref$children,
      _ref$description = _ref.description,
      description = _ref$description === void 0 ? null : _ref$description,
      _ref$editButtonText = _ref.editButtonText,
      editButtonText = _ref$editButtonText === void 0 ? pgettext('generic-action', 'Edit') : _ref$editButtonText,
      _ref$title = _ref.title,
      title = _ref$title === void 0 ? null : _ref$title;
  var block = purebem('foundation-section-panel');

  var _React$useState = React.useState(false),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      isEditing = _React$useState2[0],
      setIsEditing = _React$useState2[1];

  var close = React.useCallback(function () {
    setIsEditing(false);
  }, []);
  var open = React.useCallback(function () {
    setIsEditing(true);
  }, []);
  var context = {
    close: close,
    isEditing: isEditing,
    open: open
  };
  var content = typeof children === 'function' ? children(context) : children;
  return /*#__PURE__*/React.createElement("div", {
    className: block()
  }, /*#__PURE__*/React.createElement(FoundationPanel, null, /*#__PURE__*/React.createElement("div", {
    className: block('content')
  }, title !== null && title !== '' ? /*#__PURE__*/React.createElement("div", {
    className: block('title')
  }, title) : null, description !== null && description !== '' ? /*#__PURE__*/React.createElement("div", {
    className: block('description')
  }, description) : null, canToggle && !isEditing ? /*#__PURE__*/React.createElement("div", {
    className: block('actions')
  }, /*#__PURE__*/React.createElement(FoundationControlGroup, null, /*#__PURE__*/React.createElement(FoundationControl, null, /*#__PURE__*/React.createElement(FoundationButton, {
    disabled: !canEdit,
    onClick: open
  }, editButtonText)))) : null, content !== null ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("hr", {
    className: block('separator')
  }), content) : null)));
}
//# sourceMappingURL=FoundationSectionPanel.js.map